update make-release to refuse to work if tag != $wgVersion
Closed, ResolvedPublic

Description

The make-release script should balk if it sees that you have given it a tag that is different than $wgVersion. Alternatively, maybe it could grab the tag from $wgVersion if it is just given a branch to build.

MarkAHershberger updated the task description. (Show Details)
MarkAHershberger raised the priority of this task from to Needs Triage.
MarkAHershberger claimed this task.
MarkAHershberger changed Security from none to None.
MarkAHershberger added subscribers: Palexis, Mglaser.
Palexis renamed this task from update make-release to refuse to work if tag != $wgVersion to Update make-release to refuse to work if tag != $wgVersion.Oct 28 2014, 5:56 PM
Palexis updated the task description. (Show Details)
Palexis triaged this task as Normal priority.
Palexis added a project: Wiki-Release-Team.
Palexis added subscribers: Qgil, MarkAHershberger.
MarkAHershberger renamed this task from Update make-release to refuse to work if tag != $wgVersion to update make-release to refuse to work if tag != $wgVersion.Oct 28 2014, 5:58 PM
MarkAHershberger updated the task description. (Show Details)
MarkAHershberger raised the priority of this task from Normal to Needs Triage.
MarkAHershberger removed subscribers: Qgil, MarkAHershberger.

Which project is this about? Currently the "Project" field of this task is empty.

I was preoccupied with actually making the releases, so I didn't automate this in November. I'll do this in December's work.

Palexis triaged this task as High priority.Dec 8 2014, 2:15 PM
Palexis moved this task from Ready to Go to Doing on the Wiki-Release-Team board.
Palexis moved this task from Doing to Ready to Go on the Wiki-Release-Team board.Jan 13 2015, 9:08 PM
Palexis moved this task from Ready to Go to Doing on the Wiki-Release-Team board.Jan 17 2015, 4:11 PM

Where is the make-release script? Is that located in some repository somewhere?

Ah, looks like mediawiki/tools/release in Git

greg removed MarkAHershberger as the assignee of this task.Feb 5 2015, 11:14 PM
greg moved this task from To Triage to Backlog (Tech) on the Deployments board.Mar 16 2015, 3:46 PM
Legoktm claimed this task.Sep 12 2018, 10:32 PM

Change 454609 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/tools/release@master] Move to git archive like model for MediaWiki releases

https://gerrit.wikimedia.org/r/454609

Qgil removed a subscriber: Qgil.Sep 13 2018, 6:30 AM

Change 454609 merged by jenkins-bot:
[mediawiki/tools/release@master] Move to git archive like model for MediaWiki releases

https://gerrit.wikimedia.org/r/454609

Legoktm closed this task as Resolved.Fri, Sep 21, 4:20 AM